/v1/workspaces/{workspace_id}/change-requestsAuthList change requests
The workspace's change requests, newest first. `status=open` is the review queue (pending, approved, scheduled and failed requests).
Path parameters
workspace_id*string · uuidId of the workspace.
Query parameters
statusenum (8)Only this status; `open` = pending, approved, scheduled or failed (the review queue).
project_idstring · uuidOnly this project.
environment_idstring · uuidOnly this environment.
setting_idstring · uuidOnly this setting.
cursorstringOpaque cursor from `pagination.next_cursor`.
limitintegerPage size.
Response · 200 A page of change requests.
data*arrayChange requests, newest first.
pagination*objectCursor pagination.
Example
Request
GET https://api.flags.productcraft.co/v1/workspaces/{workspace_id}/change-requests
Authorization: Bearer YOUR_TOKENimport { Flags } from "@productcraft/flags";
// Reads PRODUCTCRAFT_API_KEY from the environment
const flags = new Flags();
for await (const changeRequest of flags.changeRequests.list()) {
console.log(changeRequest);
}
const page = await flags.changeRequests.list({}, { timeout: 5_000 });flags.changeRequests.list(params?, options?): PagePromise<Flags.ChangeRequest>
Response
{
"data": [
{
"id": "00000000-0000-0000-0000-000000000000",
"workspace_id": "00000000-0000-0000-0000-000000000000",
"project_id": "00000000-0000-0000-0000-000000000000",
"config_id": "00000000-0000-0000-0000-000000000000",
"setting_id": "00000000-0000-0000-0000-000000000000",
"setting_key": "new_checkout",
"environment_id": "00000000-0000-0000-0000-000000000000",
"environment_key": "production",
"kind": "value",
"status": "pending",
"base_version": 7,
"current_version": 7,
"stale": false,
"before": {},
"after": {},
"diff": [
{
"op": {},
"path": "/rules/1/percentages/0/percentage",
"value": 25
}
],
"summary": [
"value false → true"
],
"note": "Turn on for everyone",
"required_approvals": 1,
"approvals": 0,
"reviews": [
{
"reviewer_id": "5e6f7a8b-9c0d-4e1f-a2b3-c4d5e6f7a8b9",
"reviewer_label": "ada@example.com",
"decision": "approved",
"note": "Looks good",
"created_at": "2026-01-01T00:00:00.000Z"
}
],
"author": {},
"applied_change_id": "00000000-0000-0000-0000-000000000000",
"applied_at": "2026-01-01T00:00:00.000Z",
"scheduled_change_id": "00000000-0000-0000-0000-000000000000",
"last_error": {},
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}
],
"pagination": {}
}